- name: Build aur packages
  register: buildaur
  become_user: "{{ build_user.name }}"
  command: "aurutils-sync --no-view {{ item }}"
  args:
    creates: "/var/cache/pacman/custom/{{ item }}-*.pkg.tar.*"
  loop:
    - system76-keyboard-configurator

- name: Update cache
  when: buildaur.changed
  pacman:
    name: []
    state: present
    update_cache: true

- name: Install packages
  package:
    name:
      - dfu-programmer # For flashing keyboard https://support.system76.com/articles/launch_2-firmware-update/
      - avrdude # For flashing keyboard https://support.system76.com/articles/launch_2-firmware-update/
      - lxqt-policykit # Need a polkit agent to launch the keyboard configurator
      - system76-keyboard-configurator
    state: present
